microsoft-foundry.rest.security.o-auth2-auth
Checkpoints
List checkpoints
GET
/fine_tuning/sessions/{sessionId}/checkpoints
List all training and sampler checkpoints for this session in a single page.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
FineTuningSessions=V1Preview
Path parameters
sessionId
string
required
Identifier of the fine-tuning session whose checkpoints will be listed.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
checkpoints
SessionFineTuning.FineTuningCheckpoint[]
required
All training and sampler checkpoints for the session, returned in one page.
Request
GET /fine_tuning/sessions/{sessionId}/checkpoints HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json